Get Product

View as Markdown
Get a product by ID. Works for both User and API Key authentication. Account access is automatically validated via endpoint dependency.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

product_idstringRequired
account_idstringRequired

Query parameters

include_deletedbooleanOptionalDefaults to false

Include soft-deleted products

expandlist of strings or nullOptional

Response

Successful Response
idstring
account_idstring
namestring
descriptionstring or null
is_activeboolean
default_price_idstring or null
metadatamap from strings to any or null
created_atdatetime
updated_atdatetime
total_pricesinteger
custom_fieldsmap from strings to any or nullOptional

Custom field values. Only included when expand=custom_fields is specified.

Errors

422
Unprocessable Entity Error